#### 3.9.2 Options for `prt`

`-a`

  “All deltas”; this means that the output will include “removed” deltas. Removed deltas exist after `rmdel` has been used to remove a delta.

`-b`

  Print the body of the SCCS file. This is printed in a readable format. The control character ‘`^A`’ (Control-A, ASCII code 1) which starts some lines of an SCCS file is printed as three asterisks, ‘`***`’. Lines that do not start with the control character are indented by one tab stop. For encoded (binary) files, the encoded form of the file data is printed (this is what actually appears in the SCCS file itself). If you want to extract the actual body of the SCCS file, use the ‘`:BD:`’ keyword of `prs` (see Data Keywords.

`-d`

  Print information about the deltas in the file, as opposed to information about the SCCS file itself (for example the authorised users). This is the default behaviour. The default behaviour is turned off by the `-b`, `-f`, `-t` and `-u` flags, but specifying `-d` on the command line again will ensure that the delta information is printed.

`-e`

  “Everything”; Means the same as ‘`-i -u -f -t -d`’.

`-c[cc]YYMMDDHHMMSS`

  Specifies the time of the “cutoff”. When this option is given, `prt` stops printing delta information when it reaches a SID at least as old as the cutoff. As usual, any fields left unspecified in the cutoff are given the maximum legal value (for example, the seconds field defaults to 59). The fields can be separated by any non-numeric character, for example ‘`-c97/11/02-11:25:42`’.

  As an extension specific to CSSC, if the argument contains more than twelve (12) digits, and the first four characters are all digits, it is assumed that a four-digit year form has been used. This means that you can say ‘`-c1997/11/02-11:25:42`’ to mean the same as the above.

  In line with the X/Open CAE Specification, Commands and Utilities (version 2, September 1994, pages 588 and 361), if the century field is not given and the year is less than 69, it is assumed to be a year in the twenty-first century. The X/Open document does not mandate a four-digit year specifier, but it would not make sense to apply this rule if a four-digit year is specified. See Year 2000 Issues.

  The `-c` and `-r` options are mutually exclusive.

`-f`

  Print the flags of the SCCS file (see Flags).

`-i`

  Print the serial numbers of included, excluded, and ignored deltas.

`-r[cc]YYMMDDHHMMSS`

  Specifies a cutoff, as with the `-c` option, but with the opposite sense; that is, nothing is printed for deltas that are more recent than the indicated time.

  The `-c` and `-r` options are mutually exclusive.

`-s`

  Print only a summary line for each delta (that is, the MR list and comments and so on are omitted).

`-t`

  Print the text description of the SCCS file, as set by `admin -t` (see admin).

`-u`

  Print the list of users and group IDs authorised to make deltas, one per line.

`-ySID`

  Print only information for deltas as new as the specified SID. If the argument part is empty, that is, the option used is simply `-y`, the most recent delta is selected. The oder in which delta information is stored within the SCCS file is such that the SID selected by this option will be the last one printed.

  If the `-y` option is used in conjunction with either the `-c` or the -Y option, processing stops when either condition (date or SID match) is satisfied.